﻿<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:variable name="c">
    <xsl:value-of select="1"/>
  </xsl:variable>
  <xsl:output  method="xml" doctype-system="http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" indent="yes" encoding="UTF-8"/>
  <xsl:template match="/">
    <html>
      <head>
        <title></title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <style>

          html{ height:100%;}
          body {height:100%;}
          a { color: #09d; text-decoration: none; border: 0; background-color: transparent; }
          a:hover { color: #f90; text-decoration: underline; background-color: transparent; }
          a:active{ color: #f70; outline:0;}
          body,div,blockquote,q,iframe,form,
          ul,li,dl,dt,dd,h1,h2,h3,h4,h5,h6,p{ margin: 0; padding: 0;}
          ul,dl,li{list-style: none;}
          img,fieldset{border: none 0;}
          body,td,textarea{word-break: break-all;word-wrap: break-word; line-height:1.5;}
          body,input,textarea,select,button{margin: 0; font-size: 12px;font-family: Tahoma, SimSun, sans-serif;}
          div,p,table,th,td{ font-size:1em; font-family:inherit; line-height:inherit;}

          BODY {
          Font-SIZE:70%;
          MARGIN: 0px;
          COLOR: #333;
          LINE-HEIGHT: 1.5em;
          PADDING-TOP: 0px;
          FONT-FAMILY:Microsoft YaHei,SimSun,Tahoma,sans-serif !important;
          BACKGROUND-COLOR: #02507e;
          }

          .wrapwrapper {
          BACKGROUND: url(images/top_page_bg.jpg) #cee5f3 repeat-x 0px 0px;
          WIDTH: 100%;
          POSITION: relative;
          min-width: 597px
          }
          .wrapper_in {
          PADDING-RIGHT: 4px;
          DISPLAY: block;
          PADDING-LEFT: 5px;
          PADDING-BOTTOM: 0px;
          MARGIN: 0px auto;
          WIDTH: 148.42ex;
          PADDING-TOP: 0px;
          TEXT-ALIGN: left;
          min-width: 580px;
          }
          .logoimg {
          WIDTH: 218px;
          HEIGHT: 27px;
          }
          .top_outer {
          BACKGROUND: url(images/header_bg.jpg) #edf2f6 no-repeat 0px 0px;
          MARGIN: 0px 22px
          }
          .top_inner {
          BACKGROUND: url(images/header_bg.jpg) #edf2f6 no-repeat 100% 0px;	MARGIN-LEFT: 12px
          }
          .top_center {
          BACKGROUND: url(images/header_middle_bg.jpg) #edf2f6 repeat-x 0px 0px;	MARGIN-RIGHT: 12px; HEIGHT: 20px
          }
          .page_outer {
          BACKGROUND: url(images/header_bg.jpg) #edf2f6 no-repeat 0px -70px;
          MARGIN: 0px 22px
          }
          .page_inner {
          BACKGROUND: url(images/header_bg.jpg) #edf2f6 no-repeat 100% -70px;
          MARGIN-LEFT: 12px
          }
          .page_foot {
          BACKGROUND: url(images/footer_bg.jpg) #edf2f6 no-repeat 0px 100%;
          MARGIN: 0px 21px
          }
          .page_foot_inner {	BACKGROUND: url(images/footer_bg.jpg) #edf2f6 no-repeat 100% 100%;	MARGIN-LEFT: 12px}

          #page {
          BACKGROUND: url(images/header_middle_bg.jpg) #edf2f6 repeat-x 0px -70px;
          MARGIN-RIGHT: 12px;
          zoom : 100% ;
          }
          .cf {
          ZOOM: 1
          }
          .double1 .c1 {
          DISPLAY: inline;
          FLOAT: left;
          WIDTH: auto
          }
          .double1 .c2 {
          DISPLAY: inline;
          WIDTH: auto

          }
          #head {
          MIN-HEIGHT: 36px;
          BACKGROUND: url(images/top_page_bg.jpg) #cee5f3 repeat-x 0px 0px;
          HEIGHT: 16.42ex
          }
          #foot {
          BACKGROUND: url(images/footer_middle_bg.jpg) #edf2f6 repeat-x 0px 100%;	MARGIN-RIGHT: 12px;	HEIGHT: 104px
          }
          #wrapper {
          BACKGROUND: url(images/bottom_page_bg.jpg) repeat-x 0px 100%;
          TEXT-ALIGN: center
          }

          #nav {	MARGIN: 0px 5px;	BORDER-BOTTOM: #e9edea 1px solid;}
          #nav .linklist1 {
          PADDING-RIGHT: 3px;
          PADDING-LEFT: 0px;
          FLOAT: right;
          PADDING-BOTTOM: 0px;
          MARGIN: 0px;
          PADDING-TOP: 10px;
          LIST-STYLE-TYPE: none
          }
          #nav .linklist1 LI {
          DISPLAY: inline;
          FLOAT: left;
          LIST-STYLE-TYPE: none;
          margin-right:16px;
          }

          #nav .linklist1 LI A{
          font-size:12px;
          color:#333333;
          font-weight:800;
          text-decoration:none;
          }
          #nav .linklist1 LI A.last {
          BORDER-RIGHT-WIDTH: 0px
          }
          .footerlinks {
          TEXT-ALIGN: right
          }

          #foot .linklist1 {
          line-height:2em;
          FLOAT: right;
          MARGIN: 20px 0px 0px;
          LIST-STYLE-TYPE: none
          }
          #foot .linklist1 {
          ZOOM: 1
          }
          #foot .linklist1 LI {
          BORDER-RIGHT: #666 1px solid;
          PADDING-RIGHT: 7px;
          DISPLAY: inline;
          PADDING-LEFT: 8px;
          FLOAT: left;
          PADDING-BOTTOM: 0px;
          PADDING-TOP: 0px;
          LIST-STYLE-TYPE: none
          }
          #foot .linklist1 LI.last {
          BORDER-RIGHT-WIDTH: 0px
          }
          #foot .linklist1 LI A {
          COLOR: #ddd
          }
          .logo_Copywrighttext {
          PADDING-RIGHT: 0px;
          PADDING-LEFT: 3px;
          FONT-SIZE: 82%;
          FLOAT: right;
          PADDING-BOTTOM: 0px;
          MARGIN: 16px 8px 0px 0px;
          WIDTH: 19ex;
          COLOR: #666;
          PADDING-TOP: 0px;
          WHITE-SPACE: pre;
          max-width: 100px;
          min-width: 90px
          }
          .abstract
          {
          PADDING:0 0 0 0.5em;
          }
          #area1 {
          MARGIN: 55px 5px 0 29px
          }
          A IMG {
          BORDER:0px;
          }
          .logo_Copywrighttext {
          WIDTH: 90px
          }
          .srchtxtbox {
          CLEAR: left;
          DISPLAY: inline;
          PADDING-LEFT: 142px;
          FLOAT: left
          }
          .btnsearch {
          MARGIN:0.15em 0.18em;
          WIDTH: 5.4em;
          HEIGHT: 1.8em;
          BACKGROUND-COLOR: #fff
          }
          .contenttd
          {
          vertical-align:top;
          }
          .contenttd span
          {
          font-size:12pt;
          padding-left:265px;
          line-height:10em;
          color:#990000;
          font-weight:800;
          }
          .contenttd p
          {
          MARGIN-top:80px;
          }

          .result_box
          {
          border-collapse:separate;
          border-width:1px;
          }
          .result_box TD
          {
          border-bottom: 	#E6E6FA 1px solid;
          padding:3px 0 3px 0;
          vertical-align:middle;
          }
          .result_box .novelName
          {
          padding-left:5px;
          font-weight:bold;
          width:390px;
          }
          .result_box .novelName a
          {
          text-decoration:none;
          }
          .result_box .novelName a:hover
          {
          color:#171616;
          border-bottom:3px #bd0000 solid;
          }
          .result_box TH
          {
          text-align:left;
          line-height:27px;
          height:27px;
          text-indent:5px;
          }
          .result_box TR:hover
          {

          }
          button
          {
          border:0;
          text-indent:-999em;
          width:16px;
          display:block;
          height:16px;
          font-size:0px;
          overflow:hidden;
          position:relative;
          left:10px;
          }
          .update
          {
          background:url(images/bt_bg.png) no-repeat;
          background-position:0px 0px;
          }
          .update:hover
          {
          background-position:0px -17px;
          cursor:pointer;
          }
          .convert
          {
          background:url(images/bt_bg.png) no-repeat;
          background-position:-17px 0px;
          }
          .convert:hover
          {
          background-position:-17px -17px;
          cursor:pointer;
          }
          .delete
          {
          background:url(images/bt_bg.png) no-repeat;
          background-position:-34px 0px;
          }
          .delete:hover
          {
          background-position:-34px -17px;
          cursor:pointer;
          }
          .pager
          {
          margin:1.5em 0 1em 1.5em;
          }
          .pager a,.pager button, .pager span {
          border:1px solid #ddd;
          text-decoration:none;
          padding:.25em .55em;
          *padding:.3em .55em;
          margin-right:.5em;
          zoom:1;
          font-size:107%;
          }
          .pager span {
          border:1px solid #ddd;
          color:#ff0000;
          font-weight:bold;
          }
          .pager a:hover ,.pager button:hover {
          background:#03c;
          color:#fff;
          border:1px solid #036;
          cursor:hand;
          }

        </style>	
	<script type="text/javascript" src="CSS/Local/sanweiyu_d.js"></script>
	<script>
    <xsl:comment>
      <![CDATA[
    var opn = 10, pn = 1;
    function p(a) {
    pn = a;
    s = document.XSLDocument;
    x = document.XMLDocument;
    sortField = document.XSLDocument.selectSingleNode("//xsl:variable[@name='c']/*/@select");
    sortField.value = pn;
    document.body.innerHTML = x.documentElement.transformNode(s)
    }
    function deleteconfirm() {
    var a = event.srcElement;
    a.getAttribute("id") != "swy_id" && Dialog.confirm("\u8b66\u544a\uff1a\u4f60\u786e\u5b9a\u8981\u5220\u9664\u5417\uff1f", function() {
    deleted(a)
    })
    }
    function deleted(a) {
    a.setAttribute("id", "swy_cmd");
    a.fireEvent("onclick")
    }
    function ShowLastChapter(a, b, c, d) {
    }
    ;
      ]]>
    </xsl:comment>

  </script>
</head>

<BODY scroll="auto" oncontextmenu="return false;">
  <xsl:apply-templates select="Novels"></xsl:apply-templates>
</BODY>
</html>
  </xsl:template>
  <xsl:template match="Novels">
    <DIV class="wrapwrapper">
      <DIV class="page5 region9" id="wrapper" style="WIDTH: auto" w="auto">
        <DIV class="wrapper_in" id="wrapper_ie6">
          <DIV id="head">
          </DIV>

          <DIV class="top_outer">
            <DIV class="top_inner">
              <DIV class="top_center"></DIV>
            </DIV>
          </DIV>

          <DIV class="page_outer">
            <DIV class="page_inner">
              <DIV id="page">
                <DIV id="nav" style="WIDTH: auto" w="auto">
                  <DIV class="parent chrome6 double1 cf">
                    <DIV class="child c1 first">
                      <DIV class="logoimg">
                        <IMG src="images/logimg.png" />
                      </DIV>
                    </DIV>

                    <DIV class="child c2">
                      <DIV class="tdNavigationLinks">
                        <UL class="linklist1">
                          <li>
                            <B>
                              <a href="Home.htm" id="swy_cmd" cmd="pagehome">软件首页</a>
                            </B>
                          </li>
                          <li>
                            <B>
                              <a href="" title="所有你未下载却加入书架的小说,点这里可以找到它们" id="swy_cmd" cmd="openbookshelf">打开书架</a>
                            </B>
                          </li>
                          <LI>
                            <a href="http://www.sanweiyu.com" target="_blank"  class="last">官方首页</a>
                          </LI>
                        </UL>
                      </DIV>
                    </DIV>
                  </DIV>
                </DIV>
                <DIV class="content">
                  <DIV id="subhead" style="WIDTH: auto" w="auto"></DIV>
                  <DIV id="area1" style="WIDTH: auto;" w="auto">
                    <table height="290">
                      <tr>
                        <td>
                        </td>
                        <td class="contenttd">
                          <xsl:choose>
                            <xsl:when test="number(count(novel))>0">
                              <TABLE class="result_box">
                                <THEAD>
                                  <TR>
                                    <TH class="novelName">书名</TH>
                                    <TH class="time">最后阅读</TH>
                                    <TH class="button">更新</TH>
                                    <TH class="button">转换</TH>
                                    <TH class="button">删除</TH>
                                  </TR>
                                </THEAD>

                                <xsl:for-each select="novel">
                                  <xsl:sort select="substring(@time, 1, 4)" data-type="number" order="descending"/>
                                  <xsl:sort select="substring(@time, 6, 2)" data-type="number" order="descending"/>
                                  <xsl:sort select="substring(@time, 9, 2)" data-type="number" order="descending"/>
                                  <xsl:sort select="substring(@time, 12, 2)" data-type="number" order="descending"/>
                                  <xsl:sort select="substring(@time, 15, 2)" data-type="number" order="descending"/>
                                  <xsl:sort select="substring(@time, 18, 2)" data-type="number" order="descending"/>

                                  <xsl:if test="position()&gt;=(10*(number($c)-1)+1) and position()&lt;=(10*(number($c)-1)+10)">
                                    <tr>
                                      <td class="novelName">
                                        <a href="{@url}">
                                          <xsl:value-of select="text()" />
                                        </a>
                                      </td>
                                      <td class="time">
                                        <xsl:value-of select="@time"></xsl:value-of>
                                      </td>
                                      <td>
                                        <button class="update" id="swy_cmd" cmd="updatelocal" url="{@url}">更新</button>
                                      </td>
                                      <td>
                                        <button class="convert" onclick="javascript:alert('格式转换功能开发中');">转换</button>
                                      </td>
                                      <td>
                                        <button class="delete" id="1" cmd="deletelocal" url="{@url}" onclick="deleteconfirm()">删除</button>
                                      </td>
                                    </tr>
                                  </xsl:if>
                                </xsl:for-each>

                              </TABLE>
                            </xsl:when>
                            <xsl:otherwise>                           
                              <span>你的本地书库还是空的</span>
                                <p>
                                  每次完成下载,软件都会为你往【本地书库】中添加该作品,并且允许你随时阅读、更新和删除它。[格式转换功能尚在开发中,敬请期待]<br/>
                                </p>
                            </xsl:otherwise>
                          </xsl:choose>
                        </td>
                      </tr>
                    </table>

                    <xsl:call-template name="pager">
                      <xsl:with-param name="p">
                        <xsl:value-of select="ceiling(count(novel) div 10)"/>
                      </xsl:with-param>
                    </xsl:call-template>

                  </DIV>
                  <DIV id="subfoot"> </DIV>
                </DIV>
              </DIV>
            </DIV>
          </DIV>

          <DIV class="page_foot">
            <DIV class="page_foot_inner">
              <DIV id="foot">
                <DIV class="parent chrome6 single1">
                  <DIV class="child c1 first">
                    <DIV class="footercopy cf">
                      <DIV class="logo_Copywrighttext"><A href="http://www.sanweiyu.com/" target="_blank"><IMG height="21" alt="SanWeiYu" src="images/swy_logo.png" width="92" /></A><DIV class="abstract"><SPAN>© 2010 SanWeiYu</SPAN></DIV>
                      </DIV>
                      <DIV class="footerlinks">
                        <UL class="linklist1">
                          <LI>
                            <A href="http://www.sanweiyu.com/" target="_blank">与我们联系</A>
                          </LI>
                          <LI>
                            <A href="http://www.sanweiyu.com/" target="_blank">使用条款</A>
                          </LI>
                          <LI class="last">
                            <A href="http://www.sanweiyu.com/" target="_blank">隐私声明</A>
                          </LI>
                        </UL>
                      </DIV>
                    </DIV>
                  </DIV>
                </DIV>
              </DIV>
            </DIV>
          </DIV>
        </DIV>
      </DIV>
    </DIV>
  </xsl:template>
  <xsl:template name="pager">
    <xsl:param name="p"/>
    <xsl:if test="$p&gt;1">
      <div class="pager">
        <xsl:if test="($c)&gt;1">
          <a onclick="p('{number($c)-1}');">上一页</a>
        </xsl:if>
        <xsl:call-template name="loop">
          <xsl:with-param name="min">
            <xsl:choose>
              <xsl:when test="$p&gt;10 and $c&gt;5">
                <xsl:choose>
                  <xsl:when test="$p&gt;$c+5">
                    <xsl:value-of select="number($c)-5"/>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="number($p)-10"/>
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:when>
              <xsl:otherwise>1</xsl:otherwise>
            </xsl:choose>
          </xsl:with-param>
          <xsl:with-param name="max">
            <xsl:choose>
              <xsl:when test="$p&gt;10">
                <xsl:choose>
                  <xsl:when test="$p&gt;$c+5">
                    <xsl:choose>
                      <xsl:when test="$c&gt;5">
                        <xsl:value-of select="number($c)+5"/>
                      </xsl:when>
                      <xsl:otherwise>10</xsl:otherwise>
                    </xsl:choose>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="$p"/>
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="$p"/>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:with-param>
        </xsl:call-template>
        <xsl:if test="$p&gt;number($c)">
          <a onclick="p('{number($c)+1}');">下一页</a>
        </xsl:if>
      </div>
    </xsl:if>

  </xsl:template>
  <xsl:template name="loop">
    <xsl:param name="min"/>
    <xsl:param name="max"/>
    <xsl:if test="$max&gt;=$min">
      <xsl:choose>
        <xsl:when test="number($min)=number($c)">
          <span>
            <xsl:value-of select="$min"/>
          </span>
        </xsl:when>
        <xsl:otherwise>
          <a onclick="p({$min});">
            [<xsl:value-of select="$min"/>]
          </a>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:call-template name="loop">
        <xsl:with-param name="min">
          <xsl:value-of select="number($min)+1"/>
        </xsl:with-param>
        <xsl:with-param name="max">
          <xsl:value-of select="$max"/>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>