﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:swy="http://www.sanweiyu.com/">
  <xsl:include href="http://www.sanweiyu.com/ui/common/NovelNames.xsl"/>
  <xsl:output method="html" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" indent="yes"/>

  <xsl:template match="/">
    <html>
      <style>
        a[href^="#"]:focus, a[href^="javascript"]:focus{outline:0; -moz-outline-style: none;}
        html{ height:100%;}
        body {background: #ffffff;color: #444; height:100%;}
        a { color: #09d; text-decoration: none; border: 0; background-color: transparent; }
        a:hover { color: #f90; text-decoration: underline; background-color: transparent; }
        a:active{ color: #f70; outline:0;}
        body,div,blockquote,q,iframe,form,
        ul,li,dl,dt,dd,h1,h2,h3,h4,h5,h6,p{ margin: 0; padding: 0;}
        ul,dl,li{list-style: none;}
        img,fieldset{border: none 0;}
        body,td,textarea{word-break: break-all;word-wrap: break-word; line-height:1.5;}
        body,input,textarea,select,button{margin: 0; font-size: 12px;font-family: Tahoma, SimSun, sans-serif;}
        div,p,table,th,td{ font-size:1em; font-family:inherit; line-height:inherit;}
        em,i{color:#669900}

        hr{ clear:both; margin:2px 0; *margin: 0;  border:0 none;font-size: 1px; line-height:1px;color: #ddd; background-color:#ddd; height: 1px;}

        .frame{ display:block; width:97px; height:72px; padding:10px; background:url(../../images/frame.png) no-repeat center center;}
        .frame:hover{ background:url(../../images/frame_over.png) no-repeat center center;}
        .link{margin-left:28px;}
        .treeItem{
        background:#F9FCFF url(../../images/treeItem_bg.gif) no-repeat scroll left top;border-color:#CCD3D6 #E8EBEE #E8EBEE #DDDFE2;
        border-style:solid;
        border-width:1px;
        overflow:auto;
        padding:4px 3px 10px;}

        .treeItem * {
        vertical-align:middle;
        white-space:nowrap;
        }
        .treeItem a, .treeItem p, .treeItem p.over, .treeItem p.cur {
        background:transparent none repeat scroll 0 0;
        border-left:1px solid #F5FBFE;
        border-right:1px solid #F5FBFE;
        color:#445566;
        cursor:pointer;
        display:block;
        text-decoration:none;
        padding-left:10px;
        padding-top:0.2em;
        width:100%;
        }
        .treeItem p.cur
        {
        background:#EAFBC9 url(../../images/treeItemBgCur.gif) repeat-x scroll left center;
        border-left:1px solid #B1CCA2;
        border-right:1px solid #B1CCA2;
        color:#222222;
        }
        .blockTd {
        background:transparent url(../../images/tableBg_right.gif) no-repeat scroll right top;
        }
        .blockTable {
        background:transparent url(../../images/tableBg_left.gif) no-repeat scroll left top;
        border:0 solid #BBBBBB;
        }
        .novel
        {
        border-top:1px solid #eeede5;
        border-bottom:1px solid #eeede5;
        margin:1px 0 1px 0;
        float:left;
        line-height:1.7em;
        }
        .cmd button,.cmd a
        {
        border:0;
        text-indent:-999em;
        width:14px;
        display:block;
        background:url(../../images/toplisticon.png) no-repeat;
        height:14px;
        font-size:0px;
        overflow:hidden;
        margin-left:10px;
        }
        .cmd .search
        {
        background-position:0px 0px;
        }
        .cmd .search:hover
        {
        cursor:hand;
        background-position:0px -15px;
        }
        .cmd .baike
        {
        background-position:-15px 0px;
        }
        .cmd .baike:hover
        {
        cursor:hand;
        background-position:-15px -15px;
        }
      </style>

      <script type="text/javascript" src="http://www.sanweiyu.com/toplist/NovelNames.js"></script>
      <script type="text/javascript" src="../local/ttoplist.js"></script>
            
      <body scroll="auto" id="body"  oncontextmenu="return false;">
        <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td valign="middle" style="border-top:4px solid #2c8ecc;">
              <table width="600" align="center" cellpadding="0" cellspacing="0">
                <tbody>

                  <tr valign="middle">
                    <td valign="middle">
                      <span style="float:right; line-height:14px; margin:15px 10px 0;">
                        <a href="#" id="swy_cmd" cmd="pagehome">软件主页</a>
                      </span>
                      <h2 style="color:#666; font-family: '黑体'; font-size:18px; font-weight:normal; margin-left:15px; padding-left:30px; padding-top:5px;color:#888; background:url(../../images/icon_home.gif) no-repeat left center;">三尾鱼榜单类目：</h2>
                      <hr/>
                        <table width="100%" border="0" cellspacing="5" cellpadding="0"  style=" border-bottom:1px dotted #ccc;">
                          <tr>

                            <td width="5"></td>
                            <td>
                              <a href="#"  class="frame" onclick="gl('xuanhuan')">
                                <img src="../../images/xuanhuan2.jpg" width="95" height="70"/>
                              </a>
                              <a href="#" class="link" onclick="gl('xuanhuan')">玄幻类榜单</a>
                            </td>

                            <td>
                              <a href="#" class="frame" onclick="gl('Martial Arts')">
                                <img src="../../images/wuxia.jpg" width="95" height="70"/>
                              </a>
                              <a href="#" class="link" onclick="gl('Martial Arts')">武侠类榜单</a>
                            </td>

                            <td>
                              <a href="#" class="frame" onclick="gl('Romance')">
                                <img src="../../images/yanqing.jpg" width="95" height="70"/>
                              </a>
                              <a  href="#" class="link" onclick="gl('Romance')">言情类榜单</a>
                            </td>


                            <td>
                              <a href="#" class="frame" onclick="gl('History')">
                                <img src="../../images/Histry.jpg" width="95" height="70"/>
                              </a>
                              <a href="#" class="link" onclick="gl('History')">历史类榜单</a>
                            </td>

                            <td>
                              <a href="#" class="frame" onclick="gl('Game')">
                                <img src="../../images/Game.jpg" width="95" height="70"/>
                              </a>
                              <a href="#" class="link" onclick="gl('Game')">游戏类榜单</a>
                            </td>

                            <td>
                              <a href="#" class="frame" onclick="gl('Sci-Fi')">
                                <img src="../../images/kehuan.jpg" width="95" height="70"/>
                              </a>
                              <a href="#" class="link" onclick="gl('Sci-Fi')">科幻类榜单</a>
                            </td>
                          </tr>
                          <tr valign="middle">
                            <td/>
                          </tr>
                          <tr>

                            <td width="5"></td>
                            <td>
                              <a href="#" class="frame" onclick="gl('Recommended')">
                                <img src="../../images/tuijian.png" width="95" height="70"/>
                              </a>
                              <a href="#"  class="link" onclick="gl('Recommended')">推荐类榜单</a>
                            </td>

                            <td>
                              <a href="#" class="frame" onclick="gl('Collection')">
                                <img src="../../images/shouchang.png" width="95" height="70"/>
                              </a>
                              <a href="#" class="link" onclick="gl('Collection')">收藏类榜单</a>
                            </td>

                            <td>
                              <a href="#" class="frame" onclick="gl('click')">
                                <img src="../../images/click.png" width="95" height="70"/>
                              </a>
                              <a href="#" class="link" onclick="gl('click')">点击类榜单</a>
                            </td>


                            <td>
                              <a href="#" class="frame" onclick="gl('Other')">
                                <img src="../../images/other.gif" width="95" height="70"/>
                              </a>
                              <a href="#" class="link" onclick="gl('Other')">未归类榜单</a>
                            </td>

                            <td>
                              <a href="#" class="frame" onclick="gl('Author')">
                                <img src="../../images/author.gif" width="95" height="70"/>
                              </a>
                              <a href="#" class="link" onclick="gl('Author')">热门作者榜</a>
                            </td>

                            <td>
                              <a href="#" class="frame" onclick="gl('SWY')">
                                <img src="../../images/listbylist.gif" width="95" height="70"/>
                              </a>
                              <a href="#" class="link" onclick="gl('SWY')">三尾榜中榜</a>
                            </td>
                          </tr>
                        </table>
                    </td>
                  </tr>
                  <tr valign="middle">
                    <td/>
                  </tr>

                </tbody>
              </table>
            </td>
          </tr>
          <tr>
            <td height="28">
              <div style="text-align:right; border-top:#eee 1px solid; padding:5px 15px;">
                © 2010 sanweiyu.com 三尾鱼工作室
              </div>
            </td>
          </tr>
        </table>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="html">
    <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td valign="middle" style="border-top:4px solid #2c8ecc;">
          <table align="center" width="738"  cellpadding="0" cellspacing="0">
            <tr valign="middle">
              <td valign="middle">
                <span style="float:right; line-height:14px; margin:15px 10px 0;">
                  <a href="#" onclick="location.reload()">←返回类目</a>
                </span>
                <h2 style="color:#666; font-family: '黑体'; font-size:18px; font-weight:normal; margin-left:15px; padding-left:30px; padding-top:2px;color:#888; background:url(../../images/icon_home.gif) no-repeat left center;">点击类榜单：</h2>
                <div style="background-color: #ddd; width: 100%; height: 1px; overflow: hidden;margin:2px; " />
                <table width="100%" cellspacing="2" cellpadding="0" border="0">
                  <tr valign="top">
                    <td width="180">
                      <table class="blockTable" width="240" cellspacing="0" cellpadding="6" border="0">
                        <tr>
                          <td class="blockTd"  colspan="2" style="padding: 6px;">
                            <div class="treeItem" id="tree1"  style="height:220px;width:220px;">
                              <table>
                                <tr>
                                  <td>
                                    <xsl:for-each select="NovelList">
                                      <xsl:choose>
                                        <xsl:when test="position()=1">
                                          <p onclick="Tree.onItemClick(event,this);" pid="{position()-1}">
                                            <xsl:value-of select="@name"/>
                                            <xsl:value-of select="substring('┅┅┅┅┅┅┅┅┅┅┅┅┅┅',0,15-(string-length(@name)+string-length(@from)))"/>
                                            <xsl:value-of select="@from"/>
                                          </p>
                                        </xsl:when>
                                        <xsl:otherwise>
                                          <p onclick="Tree.onItemClick(event,this);" pid="{position()-1}">
                                            <xsl:value-of select="@name"/>
                                            <xsl:value-of select="substring('┅┅┅┅┅┅┅┅┅┅┅┅┅┅',0,15-(string-length(@name)+string-length(@from)))"/>
                                            <xsl:value-of select="@from"/>
                                          </p>
                                        </xsl:otherwise>
                                      </xsl:choose>
                                    </xsl:for-each>
                                  </td>
                                </tr>
                              </table>
                            </div>
                          </td>
                        </tr>
                      </table>
                    </td>
                    <td>
                      <table class="blockTable" width="100%" cellspacing="0" cellpadding="0" border="0">
                        <tr>
                          <td class="blockTd" style="padding: 2px 0 2px 10px;" id="listNames">
                          </td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                </table>
              </td>
            </tr>
            <script>init();</script>
            <tr valign="middle">
              <td/>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td height="28">
          <div style="text-align:right; border-top:#eee 1px solid; padding:5px 15px;">
            © 2010 sanweiyu.com 三尾鱼工作室
          </div>
        </td>
      </tr>
    </table>
  </xsl:template>
<xsl:template name="showNovelNames">
    <xsl:param name="position"></xsl:param>
  <div style="margin:0 0 0 20px;width:205px;">
    <div style="display: inline; 	">
      <div style="float:left;width:130px; padding-left:4px;vertical-align:middle;">
        <span>
          <span name="ndata" data="{$position}"></span>
        </span>
      </div>

      <table class="cmd">
        <tr>
          <td>
            <button title="搜索" class="search" data="{$position}" onclick="search(this);">搜索</button>
          </td>
          <td>
            <button title="百度上看看" class="baike" data="{$position}" onclick="openbaike(this);">百度资料</button>
          </td>
        </tr>
      </table>

    </div>
  </div>
</xsl:template>
<xsl:template match="NovelList">
  <ul>
    <xsl:for-each select="n">
      <li class="novel" >
        <div style="display: inline;">
          <div style="float:left;width:24px;background:url(../../images/picc.png) repeat-x scroll left center; text-align:center;">
            <span style="padding-right:4px;">
              <xsl:value-of select="position()"/>
            </span>
          </div>
            <xsl:call-template name="showNovelNames">
              <xsl:with-param name="position">
                <xsl:value-of select="number(text())"/>
              </xsl:with-param>
            </xsl:call-template>
          </div>
        </li>
      </xsl:for-each>
    </ul>
  </xsl:template>
</xsl:stylesheet>
